function Group() {
    var self = this;

    this.recordBooks = {};

    this.push = function (student, transfered) {
        self.recordBooks[+student.RecordBookID] = student;
        self.recordBooks[+student.RecordBookID].transfered = transfered;
    };

    this.exists = function(id) {
        return (id in self.recordBooks);
    };

    this.pop = function (id) {
        var rec = (id in self.recordBooks) ? self.recordBooks[id] : {};
        delete self.recordBooks[id];
        return rec;
    };

    this.getIDs = function () {
        return Object.keys(self.recordBooks);
    };

    this.peek = function (id) {
        return (id in self.recordBooks) ? self.recordBooks[id] : {};
    };

    this.setList = function (data) {
        data.forEach(function (student) {
            self.push(student, false);
        });
    };

    this.clear = function () {
        self.recordBooks = {};
    };
}

